<template lang="pug">
	extends Base.pug
	block valores
		- var titulo = "Texto"

	block funcion
		.campo
			label Color
			input(type="color", v-model="valor", placeholder="Color")
		.botones
			button(type="button", @click="crearNuevo") Agregar Rectágulo

</template>


<script>
import Base from './Base.vue';
import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'

export default {
	extends: Base,
	data: () => ({
		valor: "#000000",
	}),
	methods:{
		crearNuevo(){
			this.crear(this.valor)
			this.terminado()
		},
		...mapActions({
			crear: "editor/crearRectangulo"
		})
	}

}
</script>
